Subject: [PATCH 0/2] get pinctrl more flexible for per pin muxing controllers

From: [email-masked] (Stephen Warren)
Date: Wed, 10 Jun 2015 08:14:50 -0600

On 06/10/2015 01:33 AM, Linus Walleij wrote:
> On Wed, Jun 3, 2015 at 3:31 PM, Nicolas Ferre <[email-masked]> wrote:
>> Le 04/05/2015 10:56, Ludovic Desroches a ?crit :
>>>
>>> The way pins, groups and functions are tied is too constraining for some
>>> controllers. It concerns mainly the ones we don't care about groups and
>>> functions, each pin can be muxed to any functions.
>>> The goal of these two patches is too remove some of the constraints.
>>>
>>> I have added the prototype of a pin controller and device tree to show the
>>> way I want to use these changes. I couldn't test it on boards using generic
>>> pinconf so I am not sure that I don't break something...
>>>
>>>
>>> Ludovic Desroches (4):
>>>    pinctrl: change function behavior for per pin muxing controllers
>>>    pinctrl: introduce complex pin description
>>
>> Linus,
>>
>> Ludovic sent this series nearly one month ago. It was posted after a RFC
>> series on the same topic two months ago. As we don't see any comment on
>> neither of them we assume that it's okay to include them.
>
> It's a quite big patch and I need help reviewing it and thinking of
> some possible consequences.
>
> Stephen, can you give me a hand with this?

I don't have the patch in my list archive, which goes back 60 days.

Judging purely by the patch description, the patch sounds incorrect. 
There's nothing in pinctrl that prevents a particular pin controller 
from supporting all mux functions on all pins or groups. Simply return 
the same list of functions for every pin.